%define name    gnustep-base
%define major 	1.23
%define version %{major}.0
%define release 1

%define gs_zonedir %{_libdir}/GNUstep/Libraries/gnustep-base/Versions/1.23/Resources/NSTimeZones/zones
# haven't found a hack to make the documentaion build without DTDs installed
# so, requires itself to build currently
%define	build_doc 0

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	%{name}-%{version}.tar.gz
License: 	LGPL
Group: 		Development/Other
Summary: 	GNUstep Base package
URL:		http://www.gnustep.org/
Patch0:		configure-libbfd-ppc.diff

BuildRequires:	gnustep-make
BuildRequires:	gcc-objc pkgconfig
BuildRequires:	libxml2-devel libxslt-devel zlib-devel libffi-devel
%if %build_doc
BuildRequires:	tetex-dvips
BuildRequires:	tetex-texi2html
BuildRequires:	texinfo
BuildRequires:	%name
%endif
Requires:	gnustep-make >= 2.6.0
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description
Dynamic libraries from %name.

%package        devel
Summary:        Header files and static libraries from %name
Group:          Development/Other
Requires:       gnustep-base >= %{version}
Obsoletes:      %name-devel

%description devel 
Libraries and includes files for developing programs based on %name.

%prep  
%setup -q
case %{_target_platform} in
ppc*)
%patch0 -p1
  ;;
*)
  ;;
esac

%build
if [ -z "$GNUSTEP_SYSTEM_ROOT" ]; then
  . %{_sysconfdir}/profile.d/GNUstep.sh 
fi
case %{_target_platform} in
ppc64-*)
  export CC="gcc -m64";
  export PKG_CONFIG_PATH="/usr/lib64/pkgconfig";;
*)
  export CC="gcc";;
esac

export LIBBFD="`ls --color=no %{_libdir}/libbfd*.so`"
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export GNUSTEP_INSTALLATION_DOMAIN=SYSTEM
./configure --enable-libffi --disable-ffcall --with-ffi-include="`pkg-config --define-variable=libdir=%{_libdir} --variable=includedir libffi`" --with-ffi-lib=lib --enable-objc-exceptions
make CC="$CC -fPIC" messages=yes
%if %build_doc
make -C Documentation
%endif

%install
rm -rf /var/tmp/%{name}-%{version}

if [ -z "$GNUSTEP_SYSTEM_ROOT" ]; then
  . %{_sysconfdir}/profile.d/GNUstep.sh 
fi
make install DESTDIR=/var/tmp/%{name}-%{version} GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

# replace the zoneinfo database of GNUstep with the one from the system
rm -rf /var/tmp/%{name}-%{version}%{gs_zonedir}
ln -s ../../../../../../../../share/zoneinfo /var/tmp/%{name}-%{version}%{gs_zonedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
grep -q '^gdomap' /etc/services                                            \
   || (echo "gdomap 538/tcp # GNUstep distributed objects" >> /etc/services  \
       && echo "gdomap 538/udp # GNUstep distributed objects" >> /etc/services)
/sbin/ldconfig

%postun 
mv -f /etc/services /etc/services.orig
grep -v "^gdomap 538" /etc/services.orig > /etc/services
rm -f /etc/services.orig
/sbin/ldconfig

%files
%defattr (-,root,root)
%doc ANNOUNCE COPYING COPYING.LIB ChangeLog*
%doc NEWS README
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/GNUstep/DTDs
%{_libdir}/GNUstep/Libraries/gnustep-base
%{_datadir}/man/man*/*
%{_datadir}/GNUstep/Makefiles

%files devel
%defattr(-,root,root)
/usr/include/*
%{_libdir}/*.so

%changelog
* Sat Oct 08 2011 Ludovic Marcotte <lmarcotte@inverse.ca> 1.23.0-1
- updated to 1.23.0
- bumped the required gnustep-make version to 2.6.0
- added --enable-objc-exceptions to the configure flags

* Tue Nov 02 2010 Wolfgang Sourdeau <wsourdeau@inverse.ca> 1.20.2-1
- updated to 1.20.2
- symlink the GNUstep zoneinfo database to the system one

* Tue Jul 29 2008 Wolfgang Sourdeau <wsourdeau@inverse.ca> 1.16.3-1
- adapted for gnustep-base 1.16.3

* Fri Aug 03 2007 Austin Acton <austin@mandriva.org> 1.15.0-4mdv2008.0
+ Revision: 58679
- buildrequires texinfo when building docs
- rebuild to get documentation

* Tue Jul 10 2007 Austin Acton <austin@mandriva.org> 1.15.0-3mdv2008.0
+ Revision: 51102
- rebuild for new locations
- move to FHS structure
- re libify; non-versioned devel
- drop explicit provides hack

* Sat Jun 02 2007 Austin Acton <austin@mandriva.org> 1.15.0-2mdv2008.0
+ Revision: 34756
- setup for doc build
- explicit provides (Charles Edwards)

* Wed May 30 2007 Austin Acton <austin@mandriva.org> 1.15.0-1mdv2008.0
+ Revision: 32872
- new version
- redo most of spec file for simplicity
- disable documentation, temporarily


* Mon Jun 19 2006 Charles A Edwards <eslrahc@mandriva.org> 1.12.0-2mdv2007.0
- post postrun ldconfig

* Mon Jun 19 2006 Charles A Edwards <eslrahc@mandriva.org> 1.12.0-1mdv2007.0
- 1.12.0
- mkrel
- bump major
- add doc build

* Mon Apr 04 2005 Charles A Edwards <eslrahc@mandrake.org> 1.10.2-1mdk
- 1.10.2
- mv headers to devel pkg
- use _prefix
- bzip2 changelog 1 & 2 and include in Doc
- add Examples as Doc in devel pkg

* Sat Nov 06 2004 Charles A Edwards <eslrahc@mandrake.org> 1.10.1-3mdk
- exclude so from main pkg

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.10.1-1mdk
- 1.10.1

* Fri Sep 10 2004 Charles A Edwards <eslrahc@mandrake.org> 1.10.0-2mdk
- fix Major and Provides

* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.10.0-1mdk
- 1.10.0

* Fri Aug 08 2003 Marcel Pol <mpol@gmx.net> 1.6.0-2mdk
- rebuild
- setup -q

